Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class SupportAndRepairViewMobilityToolType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairViewMobilityToolType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class SupportAndRepairViewMobilityToolType

extends Object
implements Serializable

Generiek type voor het mobiliteitshulpmiddel in het beeld van onderhoud en herstel.

Java class for SupportAndRepairViewMobilityToolType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairViewMobilityToolType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewBasicEquipmentType" minOccurs="0"/>
             <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewAccessoryType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairViewMobilityToolType()`

Method Summary
`List<SupportAndRepairViewAccessoryType>` | `getAccessories()` Gets the value of the accessories property.
`SupportAndRepairViewBasicEquipmentType` | `getBasicEquipment()` Gets the value of the basicEquipment property.
`void` | `setBasicEquipment(SupportAndRepairViewBasicEquipmentType value)` Sets the value of the basicEquipment property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairViewMobilityToolType

    public SupportAndRepairViewMobilityToolType()

Method Detail

### getBasicEquipment

    public SupportAndRepairViewBasicEquipmentType getBasicEquipment()

  Gets the value of the basicEquipment property.

  Returns:
    possible object is `SupportAndRepairViewBasicEquipmentType`

### setBasicEquipment

    public void setBasicEquipment(SupportAndRepairViewBasicEquipmentType value)

  Sets the value of the basicEquipment property.

  Parameters:
    `value` - allowed object is `SupportAndRepairViewBasicEquipmentType`

### getAccessories

    public List<SupportAndRepairViewAccessoryType> getAccessories()

  Gets the value of the accessories property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessories property.

  For example, to add a new item, do as follows:

          getAccessories().add(newItem);

  Objects of the following type(s) are allowed in the list `SupportAndRepairViewAccessoryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.